/************************************************************************
 *   IRC - Internet Relay Chat, include/msg.h
 *   Copyright (C) 1990 Jarkko Oikarinen and
 *                      University of Oulu, Computing Center
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef	__msg_include__
#define __msg_include__
#define MAXPARA    15 

extern int m_privmsg(), m_topic(), m_stopic(), m_join(), m_part(), m_mode();
extern int m_ping(), m_pong(), m_wallops(), m_kick();
extern int m_nick(), m_error(), m_notice();   
extern int m_invite(), m_quit(), m_kill(), m_ban();
extern int m_motd(), m_who(), m_whois(), m_user(), m_list();
extern int m_server(), m_info(), m_links(), m_summon(), m_stats();
extern int m_users(), m_version(), m_help();
extern int m_squit(), m_away(), m_connect(), m_uping(), m_map();
extern int m_oper(), m_pass(), m_trace();
extern int m_time(), m_settime(), m_rping(), m_rpong(), m_names(), m_admin();
extern int m_lusers(), m_umode(), m_note(), m_close();
extern int m_motd(), m_whowas(), m_silence();
extern int m_userhost(), m_ison();
extern int m_servset(), m_servlist(), m_squery(),m_cmdecho();
extern int m_gline(),m_locwall(),m_kline(),m_addcn(),m_delcn(),m_unkline();
extern int m_set(), m_htm(), m_swallops(), m_digi(), m_ircname(), m_usage();
extern int m_dog3load(), m_writeconf();
extern int m_dog3freq(), m_rehash(), m_hash(), m_dns(), m_restart(), m_die();

#ifdef MSGTAB
struct Message msgtab[] = {
  { "PRIVMSG", m_privmsg,  0, MAXPARA, 1 ,0L },
  { "NICK",    m_nick,     0, MAXPARA, 1 ,0L },
  { "NOTICE",  m_notice,   0, MAXPARA, 1 ,0L },
  { "JOIN",    m_join,     0, MAXPARA, 1 ,0L },
  { "MODE",    m_mode,     0, MAXPARA, 1 ,0L },
  { "UMODE",   m_umode,    0, MAXPARA, 1 ,0L },
  { "QUIT",    m_quit,     0, MAXPARA, 1 ,0L },
  { "PART",    m_part,     0, MAXPARA, 1 ,0L },
  { "TOPIC",   m_topic,    0, MAXPARA, 1 ,0L },
  { "STOPIC",  m_stopic,   0, MAXPARA, 1 ,0L },
  { "INVITE",  m_invite,   0, MAXPARA, 1 ,0L },
  { "KICK",    m_kick,     0, MAXPARA, 1 ,0L },
  { "WALLOPS", m_wallops,  0, MAXPARA, 1 ,0L },
  { "PING",    m_ping,     0, MAXPARA, 1 ,0L },
  { "PONG",    m_pong,     0, MAXPARA, 1 ,0L },
  { "ERROR",   m_error,    0, MAXPARA, 1 ,0L },
  { "KILL",    m_kill,     0, MAXPARA, 1 ,0L },
  { "USER",    m_user,     0, MAXPARA, 1 ,0L },
  { "AWAY",    m_away,     0, MAXPARA, 1 ,0L },
  { "ISON",    m_ison,     0, 1, 1 ,0L },
  { "SERVER",  m_server,   0, MAXPARA, 1 ,0L },
  { "SQUIT",   m_squit,    0, MAXPARA, 1 ,0L },
  { "WHOIS",   m_whois,    0, MAXPARA, 1 ,0L },
  { "IRCNAME", m_ircname,  0, MAXPARA, 1 ,0L },
  { "WHO",     m_who,      0, MAXPARA, 1 ,0L },
  { "WHOWAS",  m_whowas,   0, MAXPARA, 1 ,0L },
  { "LIST",    m_list,     0, MAXPARA, 1 ,0L },
  { "NAMES",   m_names,    0, MAXPARA, 1 ,0L },
  { "USERHOST",m_userhost, 0, 1, 1 ,0L },
  { "TRACE",   m_trace,    0, MAXPARA, 1 ,0L },
  { "PASS",    m_pass,     0, MAXPARA, 1 ,0L },
  { "LUSERS",  m_lusers,   0, MAXPARA, 1 ,0L },
  { "BAN",     m_ban,      0, MAXPARA, 1 ,0L },
  { "ADDCN",   m_addcn,    0, MAXPARA, 1 ,0L },
  { "DELCN",   m_delcn,    0, MAXPARA, 1 ,0L },
  { "TIME",    m_time,     0, MAXPARA, 1 ,0L },
  { "SETTIME", m_settime,  0, MAXPARA, 1 ,0L },
  { "RPING",   m_rping,    0, MAXPARA, 1 ,0L },
  { "RPONG",   m_rpong,    0, MAXPARA, 1 ,0L },
  { "OPER",    m_oper,     0, MAXPARA, 1 ,0L },
  { "CMDECHO", m_cmdecho,  0, MAXPARA, 1 ,0L },
  { "CONNECT", m_connect,  0, MAXPARA, 1 ,0L },
  { "UPING",   m_uping,    0, MAXPARA, 1 ,0L },
  { "MAP",     m_map,      0, MAXPARA, 1 ,0L },
  { "VERSION", m_version,  0, MAXPARA, 1 ,0L },
  { "STATS",   m_stats,    0, MAXPARA, 1 ,0L },
  { "LINKS",   m_links,    0, MAXPARA, 1 ,0L },
  { "ADMIN",   m_admin,    0, MAXPARA, 1 ,0L },
  { "USERS",   m_users,    0, MAXPARA, 1 ,0L },
  { "SUMMON",  m_summon,   0, MAXPARA, 1 ,0L },
  { "HELP",    m_help,     0, MAXPARA, 1 ,0L },
  { "INFO",    m_info,     0, MAXPARA, 1 ,0L },
  { "MOTD",    m_motd,     0, MAXPARA, 1 ,0L },
  { "CLOSE",   m_close,    0, MAXPARA, 1 ,0L },
  { "SILENCE", m_silence,  0, MAXPARA, 1 ,0L },
  { "SWALLOPS",m_swallops, 0, MAXPARA, 1 ,0L },
  { "GLINE",   m_gline,    0, MAXPARA, 1 ,0L },
  { "LOCWALL", m_locwall,  0, MAXPARA, 1 ,0L },
  { "NOTE",    m_note,     0, 1, 1 ,0L },
  { "UNKLINE", m_unkline,  0, MAXPARA, 1 ,0L },
  { "KLINE",   m_kline,    0, MAXPARA, 1 ,0L },
  { "SET",     m_set,      0, MAXPARA, 1 ,0L },
  { "DOG3LOAD",    m_dog3load,     0, MAXPARA, 1 ,0L },
  { "DOG3FREQ",    m_dog3freq,     0, MAXPARA, 1 ,0L },
  { "HTM",     m_htm,      0, MAXPARA, 1 ,0L },
  { "DIGI",    m_digi,     0, MAXPARA, 1 ,0L },
  { "HASH",    m_hash,     0, MAXPARA, 1 ,0L },
  { "DNS",     m_dns,      0, MAXPARA, 1 ,0L },
  { "USAGE",   m_usage,    0, MAXPARA, 1 ,0L },
  { "REHASH",  m_rehash,   0, MAXPARA, 1 ,0L },
  { "RESTART", m_restart,  0, MAXPARA, 1 ,0L },
  { "DIE", m_die,  0, MAXPARA, 1 ,0L },
  { "WRITECONF", m_writeconf, 0, MAXPARA, 1 ,0L },
  { (char *) 0, (int (*)()) 0 , 0, 0, 0, 0L}
};
#else
extern struct Message msgtab[];
#endif
#endif /* __msg_include__ */
